Bug 49171 - Migrate services/univention-cloud-init to dh_python2
Migrate services/univention-cloud-init to dh_python2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.4
All Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Florian Best
UCS maintainers
:
Depends on:
Blocks: 28497
  Show dependency treegraph
 
Reported: 2019-03-28 10:27 CET by Florian Best
Modified: 2019-12-18 13:33 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-03-28 10:27:42 CET
The package services/univention-cloud-init should be migrated to use dh_python instead of python-support.

Migration-Guide: https://hutten.knut.univention.de/mediawiki/index.php/Python_DebHelper_Migration
Comment 1 Florian Best univentionstaff 2019-04-04 15:26:06 CEST
Pyshared references needs to be adjusted:
services/univention-cloud-init/debian/univention-cloud-init.links:/usr/share/pyshared/cloudinit/config/cc_ucs_setup.py /usr/lib/python2.6/dist-packages/cloudinit/config/cc_ucs_setup.py
services/univention-cloud-init/debian/univention-cloud-init.links:/usr/share/pyshared/cloudinit/config/cc_ucs_setup.py /usr/lib/python2.7/dist-packages/cloudinit/config/cc_ucs_setup.py
Comment 2 Florian Best univentionstaff 2019-11-12 14:48:16 CET
Patch available in git:dh-python/services
Comment 3 Florian Best univentionstaff 2019-12-03 16:45:10 CET
I don't know what this package is for, but it has been migrated to dh_python ;-)

univention-cloud-init (6.0.0-2)
267506e75486 | Bug #49171: migrate univention-cloud-init to dh_python

univention-cloud-init.yaml
171033951fe6 | YAML Bug #49171
Comment 4 Johannes Keiser univentionstaff 2019-12-16 10:28:33 CET
OK code changes
OK debdiff / dpkg -L
OK install / upgrade
OK yaml
-> verified
Comment 5 Erik Damrose univentionstaff 2019-12-18 13:33:08 CET
<http://errata.software-univention.de/ucs/4.4/406.html>